SDL_SetWindowProgressState(3)

NAME
SDL_SetWindowProgressState - Sets the state of the progress bar for the given window’s taskbar icon.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowProgressState(SDL_Window *window, SDL_ProgressState state);

FUNCTION PARAMETERS

window
    the window whose progress state is to be modified.

state
    the progress state. SDL_PROGRESS_STATE_NONE stops displaying the progress bar.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.